%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  flowmapblue
%global packver   0.0.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.0.2
Release:          1%{?dist}%{?buildtag}
Summary:          Flow Map Rendering

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-htmlwidgets 
Requires:         R-CRAN-htmlwidgets 

%description
Create interactive flow maps using 'FlowmapBlue' 'TypeScript' library
<https://github.com/FlowmapBlue/FlowmapBlue>, which is a free tool for
representing aggregated numbers of movements between geographic locations
as flow maps. It is used to visualize urban mobility, commuting behavior,
bus, subway and air travels, bicycle sharing, human and bird migration,
refugee flows, freight transportation, trade, supply chains, scientific
collaboration, epidemiological and historical data and many other topics.
The package allows to either create standalone flow maps in form of
'htmlwidgets' and save them in 'HTML' files, or integrate flow maps into
'Shiny' applications.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
